package com.rjconsultores.ventaboletos.service;

import java.util.List;

import com.rjconsultores.ventaboletos.entidad.Empresa;
import com.rjconsultores.ventaboletos.entidad.FechamentoParamptovta;
import com.rjconsultores.ventaboletos.entidad.PuntoVenta;

public interface FechamentoParamptovtaService extends GenericService<FechamentoParamptovta, Long> {

	public List<FechamentoParamptovta> buscaParametrosPorEmpresas(List<Integer> empresasId);
	public List<FechamentoParamptovta> buscaParametrosPorEmpresa(Integer empresasId);
	public FechamentoParamptovta suscribirOrActualizacion(FechamentoParamptovta FechamentoParamptovta);
	public List<FechamentoParamptovta> buscaParametrosPorPuntoventa(PuntoVenta puntoventa);
	public FechamentoParamptovta buscaParametrosPorPuntoventaEmpresa(PuntoVenta puntoventa, Empresa empresa);
	
}
